package main

import "time"

// GitHubRepo githubrepo struct
type GitHubRepo struct {
	Name     string `json:"name"`
	CloneURL string `json:"clone_url"`
}

// GiteaOrg gitearepo struct
type GiteaOrg struct {
	ID       int    `json:"id"`
	Username string `json:"username"`
}

// GiteaMigrateRepo defines the repo to migrate
type GiteaMigrateRepo struct {
	Name     string
	CloneURL string
	UID      int
	Mirror   bool
}

// Config is the global config of g2g
type Config struct {
	RequestTimeout     time.Duration
	UserAgent          string
	Threads            int
	GitHubMaxPerPage   int
	GitHubPageNum      int
	GitHubAuthUsername string
	GitHubAuthPassword string
	GitHubContentType  string
	GiteaUID           int
	GiteaUsername      string
	GiteaDestUsername  string
	GiteaRepoURLTmpl   string
	GiteaOrgsURLTmpl   string
	GiteaMigrateURL    string
	GiteaAuthToken     string
	GiteaContentType   string
	GiteaMirror        bool
}
